@ECHO OFF
::
:: ==================================================================
::
:: Name: EDITHOSTS.CMD
:: Author: WKZ
:: Purpose: Edit %SystemRoot%\system32\drivers\etc\hosts file
::          and subsequently flush the DNS Resolver Cache.
:: Created: 04/20/2005
:: Modified: N/A
:: Syntax: Type EDITHOSTS at the Command Line and press Enter.
:: Example: N/A
::
:: Notes: This was written to help facilitate the use of the
::        Loopback Adapter for testing Web Sites while using
::        Apache HTTP Server.
::
:: ==================================================================
::
:://    Edit HOSTS File
::
ECHO.
ECHO Editing HOSTS File...
%SystemRoot%\System32\notepad.exe %SystemRoot%\system32\drivers\etc\hosts
::
:://    Flush DNS Resolver Cache
::
ECHO.
ECHO Flushing DNS Resolver Cache...
ipconfig /flushdns
::
:://    Verify DNS Resolver Cache was successfully flushed.
::
IF ERRORLEVEL 0 GOTO :END
ECHO.
ECHO.
ECHO.
ECHO   ERROR - DNS Resolver Cache NOT Flushed!
ECHO.
ECHO.
ECHO.
ECHO 
::
PAUSE
:END